Jonatas Eduardo Jonatas Eduardo - 7 months ago 123
Python Question

vim-flake8 is not working

I installed vim-flake8 by git cloning it on my Pathogen bundle folder as usual, but when I tried to run the plugin pressing F7 or using

:call Flake8()
in one Python file I receive the following message:


Error detected while processing function Flake8:

line 8:

File flake8 not found. Please install it first.


Anyone has some clue about what is going on ?

Answer

The error message is telling you that you didn't install the program flake8. Install it.

Assuming pip is installed

pip install flake8

should work.